Bug 1249328 - stripesnoop /usr/bin/ss interferes with start of remote desktop
Summary: stripesnoop /usr/bin/ss interferes with start of remote desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: stripesnoop
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-01 15:58 UTC by William H. Haller
Modified: 2019-01-19 02:33 UTC (History)
3 users (show)

Fixed In Version: 1.5-20.fc23 stripesnoop-1.5-24.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 15:32:00 UTC
Type: Bug


Attachments (Terms of Use)

Description William H. Haller 2015-08-01 15:58:09 UTC
Description of problem:When attempting to start a remote server on an F21 machine, the remote system tries to run ss to look for listening sockets. If stripesnoop is installed, its ss executable is found via the defined PATH instead and never terminates, causing the process to hang.


Version-Release number of selected component (if applicable): x2goserver-4.0.1.19-3.fc21.x86_64


How reproducible: Start a remote session


Steps to Reproduce:
1. Start a remote session to a system with stripesnoop installed
2.
3.

Actual results: Fails to start display


Expected results: Starts display


Additional info: Removing stripesnoop fixes the problem. Not sure when that got added, or alternatively when the PATH for ss was modified to pick /bin over /sbin, but either the search PATH needs fixed or hard coded for Fedora or stripesnoop needs modified so that the proper ss executable is selected.

Comment 1 Orion Poplawski 2015-08-10 23:08:16 UTC
I really don't think stripesnoop should ship /usr/bin/ss.

Comment 2 Orion Poplawski 2015-08-21 21:08:54 UTC
Seems like reasonably strong consensus on not having duplicated names in /usr/sbin and /usr/bin.  Spot can you respond?

https://lists.fedoraproject.org/pipermail/devel/2015-August/213243.html

Comment 3 Tom "spot" Callaway 2015-08-24 15:16:24 UTC
Yeah. I agree. I'll rename stripesnoop's binary and push that update for all active branches.

Comment 4 Fedora Update System 2015-08-24 15:35:52 UTC
stripesnoop-1.5-20.fc21 has been submitted as an update to Fedora 21. https://bugzilla.redhat.com/show_bug.cgi?id=1249328

Comment 5 Fedora Update System 2015-08-24 15:36:13 UTC
stripesnoop-1.5-20.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1249328

Comment 6 Fedora Update System 2015-08-24 15:36:26 UTC
stripesnoop-1.5-20.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1249328

Comment 7 Orion Poplawski 2015-08-24 15:38:53 UTC
Thanks!

Comment 8 Fedora Update System 2015-08-24 21:54:17 UTC
stripesnoop-1.5-20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update stripesnoop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14120

Comment 9 Fedora Update System 2015-08-24 21:56:58 UTC
stripesnoop-1.5-20.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update stripesnoop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14119

Comment 10 Fedora Update System 2015-08-24 22:22:05 UTC
stripesnoop-1.5-20.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update stripesnoop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14118

Comment 11 Fedora Update System 2015-09-13 00:49:10 UTC
stripesnoop-1.5-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-09-13 02:48:04 UTC
stripesnoop-1.5-20.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-18 19:01:59 UTC
stripesnoop-1.5-20.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Carl George 2017-11-02 14:50:49 UTC
Please fix for the EPEL6 branch as well.

# whatprovides '*bin/ss'
iproute-0:2.6.32-54.el6.x86_64
stripesnoop-0:1.5-10.el6.3.x86_64

Comment 15 Fedora Update System 2017-11-17 18:57:44 UTC
stripesnoop-1.5-24.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b228dbafdf

Comment 16 Fedora Update System 2017-11-17 23:47:03 UTC
stripesnoop-1.5-24.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b228dbafdf

Comment 17 Jan Kurik 2018-05-31 09:05:56 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 18 Ben Cotton 2018-11-27 15:22:33 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Tom "spot" Callaway 2018-11-27 15:32:00 UTC
Pretty sure this is fixed everywhere.

Comment 20 Fedora Update System 2019-01-19 02:33:16 UTC
stripesnoop-1.5-24.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.